---

- name: Create listentopharos folder
  file:
    state: directory
    name: "{{ interactive_user.home }}/listentopharos"
    owner: "{{ interactive_user.name }}"
    mode: "0755"

- name: Place magewell script
  template:
    src: templates/set_magewell.sh.j2
    dest: "{{ interactive_user.home }}/listentopharos/set_magewell.sh"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"
    mode: "0755"

- block:
    - name: Create listen to pharos service
      template:
        src: templates/listentopharos.service.j2
        dest: "{{ interactive_user.home }}/.config/systemd/user/listentopharos.service"
        owner: "{{ interactive_user.name }}"
        group: "{{ interactive_user.name }}"
      tags:
        - projector

    - name: Enable start listen to pharos systemd user service
      systemd:
        name: listentopharos.service
        enabled: true
        daemon_reload: true
        scope: user
      become: true
      become_user: "{{ interactive_user.name }}"
      environment:
        XDG_RUNTIME_DIR: "/run/user/{{ interactive_user.id }}"
        DBUS_SESSION_BUS_ADDRESS: "unix:path=/run/user/{{ interactive_user.id }}/bus"
